Bug 1557134 - CVE-2018-7750 python-paramiko: Authentication bypass in transport.py [openstack-rdo]
Summary: CVE-2018-7750 python-paramiko: Authentication bypass in transport.py [opensta...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Alfredo Moralejo
QA Contact: Shai Revivo
URL:
Whiteboard: component:python-paramiko
Depends On:
Blocks: CVE-2018-7750
TreeView+ depends on / blocked
 
Reported: 2018-03-16 04:59 UTC by Sam Fowler
Modified: 2018-04-12 13:34 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-12 13:34:23 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-03-16 04:59:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of openstack-rdo.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Alfredo Moralejo 2018-04-05 17:39:07 UTC
In RHEL this has been fixed in python-paramiko-2.1.1-4.el7 added to extras repo so fix for RDO will come via update in CentOS extras repo.

Comment 2 Alan Pevec 2018-04-05 18:51:58 UTC
This tracker was created because we shipped python-paramiko in the past, could we retire it in RDO now?

Comment 4 Alfredo Moralejo 2018-04-12 13:34:23 UTC
Closing this as not a bug. python-paramiko-2.1.1-4.el7 is included as part of CentOS Extras, which is required for all supported RDO releases.


Note You need to log in before you can comment on or make changes to this bug.